# Debugging

{% hint style="warning" %}
**SHARED FUNCTIONS**
{% endhint %}

## log

Prints a formatted debug message to the console.

#### parameters

* level: `string`
* message: `string`

```lua
bdtk.log(level, message)
```

***

## wait\_for

Waits until a given function returns true or a timeout is reached.

#### parameters

* fn: `function`
* timeout: `number|nil`
* interval: `number|nil`

#### returns

* `boolean`

```lua
bdtk.wait_for(fn, timeout, interval)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.boii.dev/fivem-free-resources/bdtk/api/modules/debugging.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
